Package org.eclipse.net4j.util.concurrent

## Class CompletionWorkSerializer

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.CompletionWorkSerializer

- All Implemented Interfaces:
    `IWorkSerializer`

      @Deprecated
      public class CompletionWorkSerializer
      extends java.lang.Object
      implements IWorkSerializer

  Deprecated.
  As of 3.6 use `ExecutorWorkSerializer`.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompletionWorkSerializer()` | Deprecated.
    `CompletionWorkSerializer​(java.util.concurrent.CompletionService<java.lang.Object> completionService)` | Deprecated.
    `CompletionWorkSerializer​(java.util.concurrent.Executor executor)` | Deprecated.
    `CompletionWorkSerializer​(java.util.concurrent.Executor executor, java.util.concurrent.BlockingQueue<java.util.concurrent.Future<java.lang.Object>> completionQueue)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addWork​(java.lang.Runnable work)` | Deprecated.
    `void` | `dispose()` | Deprecated.
    `java.util.concurrent.CompletionService<java.lang.Object>` | `getCompletionService()` | Deprecated.
    `java.lang.String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompletionWorkSerializer

          public CompletionWorkSerializer​(java.util.concurrent.CompletionService<java.lang.Object> completionService)

      Deprecated.

    - #### CompletionWorkSerializer

          public CompletionWorkSerializer​(java.util.concurrent.Executor executor,
                                          java.util.concurrent.BlockingQueue<java.util.concurrent.Future<java.lang.Object>> completionQueue)

      Deprecated.

    - #### CompletionWorkSerializer

          public CompletionWorkSerializer​(java.util.concurrent.Executor executor)

      Deprecated.

    - #### CompletionWorkSerializer

          public CompletionWorkSerializer()

      Deprecated.

  - ### Method Detail

    - #### getCompletionService

          public java.util.concurrent.CompletionService<java.lang.Object> getCompletionService()

      Deprecated.

    - #### dispose

          public void dispose()

      Deprecated.
      Specified by:
        `dispose` in interface `IWorkSerializer`

    - #### addWork

          public boolean addWork​(java.lang.Runnable work)

      Deprecated.
      Specified by:
        `addWork` in interface `IWorkSerializer`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`